<?php
include_once("webdav_functions.php");

function fopeni($path) {
	//echo("opening $path\n");
	$handle = new fileimproved($path);
	return $handle;
}

function fgetsi(&$handle) {
	return $handle->gets();
}

function fclosei(&$handle) {
	$handle->close();
	unset($handle);
	return true;
}

function freadi(&$handle, $length) {
	return $handle->read($length);
}

function feofi(&$handle) {
	return $handle->eof();
}

class fileimproved {
	var $path;
	var $contents;
	var $currentchar;
	var $length;
 
	function fileimproved($tmppath) {
		$this->path = $tmppath; 
		if (strpos($this->path, "http://") !== false || strpos($this->path, "https://") !== false) {
			if (strpos($this->path, "@") !== false) {
				$tmp1 = parse_url($this->path);
				$user = $tmp1["user"];
				$pass = $tmp1["pass"];
				$userpass = $user.":".$pass;
				/*
				$tmp1 = strpos($this->path, "//")+2;
				$tmp2 = strpos($this->path, "@")+1;
				$userpass = substr($this->path, $tmp1, $tmp2-$tmp1-1); 
				$this->path = substr($this->path, 0, $tmp1).substr($this->path, $tmp2);
				$tmp3 = strpos($userpass, ":");
				$user = substr($userpass, 0, $tmp3);
				$pass = substr($userpass, $tmp3+1);
				*/
			}
			//if (!$this->checkwebdav($this->path)) {
				$ch = curl_init();
				curl_setopt($ch, CURLOPT_URL, $this->path);
				if (isset($userpass)) {
					curl_setopt($ch, CURLOPT_USERPWD, $userpass);
					curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_ANY);
				}
				if (strpos($this->path, "https://") !== false) {
					curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
				}			
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
				$this->contents = curl_exec($ch);
				$headers = curl_getinfo($ch);
				curl_close($ch); 
				//print_r($headers);
				//die($this->contents);
				$this->length = strlen($this->contents);
				$this->currentchar = 0;
			//}
		} else {
			if (file_exists($this->path)) {
				$handle = fopen($this->path, "r");
				$this->length = filesize($this->path);
				$this->contents = fread($handle, $this->length);
				fclose($handle);
				$this->currentchar = 0;
			} else {
			    return false;
			}
		}
	}

	function gets() {
		$linepos = strpos($this->contents, "\n", $this->currentchar) + 1;
		if ($linepos === false) {
			$rtn = substr($this->contents, $this->currentchar);
			$this->currentchar = $length;
			return $rtn;
		} else {
			$line = substr($this->contents, $this->currentchar, ($linepos - $this->currentchar));
			$this->currentchar = $linepos;
			return $line;
		}
	}
	
	function close() {
		return true;
	}
	
	function read($length) {
		if ($this->length - $this->currentchar > $length) {
			$rtn = substr($this->contents, $this->currentchar, $length);
			$this->$currentchar += $this->length;
			return $rtn;
		} else {
			$rtn = substr($this->contents, $this->currentchar);
			$this->currentchar = $length;
			return $rtn;
		}
	}

	function eof() {
		if ($this->currentchar >= $this->length) {
			return true;
		} else {
			return false;
		}
	}
	
	function checkwebdav($path) {
		return false;
		$path = parse_url($path);

		$this->wdc = new webdav_client();
		$this->wdc->set_server($path["host"]);
		$this->wdc->set_port(80);
		$this->wdc->set_user($path["user"]);
		$this->wdc->set_pass($path["pass"]);

		// use HTTP/1.1
		$this->wdc->set_protocol(1);
		// enable debugging
		$this->wdc->set_debug(false);
		
		if (!$this->wdc->open()) {
			die("No Connection");
            return false;
		}
		// check if server supports webdav rfc 2518
		if (!$this->wdc->check_webdav($path["path"])) {
			die("No CalDav");
            return false;
		}	

		$dir = $this->wdc->ls($path["path"]);
        if(!$dir) {
			die("No Dir");
            return false;
		}

        foreach($dir as $e) {
			echo($e['href']."\n");
        }

		$this->wdc->close();
		
		return true;
	}

} 
?>