<html>
<head>
</head>
<body>
<?
$current_view = "editevent";
define('BASE', '../');
require_once(BASE.'functions/init.inc.php');
//header("Content-Type: text/html; charset=$phpiCal_config->charset");
require_once(BASE.'functions/ical_parser_reverse.php');
require_once(BASE.'functions/webdav_functions.php');
require_once(BASE.'functions/calendar_functions.php');

$worked = false;
$v = new vcalendar();

$mapping = array(
	"dtstart" => array("start_d", 0),
	"summary" => array("text", 0),
	"description" => array("description", 0),
	"priority" => array("priority", 0),
);

//print_r($_POST);
//echo("<br /><br /><br /><br />");
$calpath = trim($_POST["calurl"]);
$uid = trim($_POST["uid"]);

//echo("<div>Working on $calpath $uid");

if (strpos($calpath, "http://") !== false || strpos($calpath, "https://") !== false) {
		$path = parse_url($calpath);
		if (substr($path["path"], strlen($path["path"])-1) == "/") $path["path"] = substr($path["path"], 0, strlen($path["path"])-1);
		$wdc = new webdav_client();
		$wdc->set_server($path["host"]);
		$wdc->set_port(80);
		$wdc->set_user($path["user"]);
		$wdc->set_pass($path["pass"]);

		// use HTTP/1.1
		$wdc->set_protocol(1);
		// enable debugging
		$wdc->set_debug(true);
		
		if (!$wdc->open()) {
			echo("No Connection");
		}
		// check if server supports webdav rfc 2518
		if (!$wdc->check_webdav($path["path"])) {
			echo("No CalDav");
		}	

		$dir = $wdc->ls($path["path"]);
        if(!$dir) {
			echo("No Dir");
		}

		if ($_POST["save"] == "Save") {
			$filefound = false;
			foreach($dir as $e) {
				$fileuid = substr($e['href'], strlen($path["path"])+1);
				$fileuid = str_replace(".ics", "", $fileuid);
				if ($fileuid == $uid) {
					$ch = curl_init();
					curl_setopt($ch, CURLOPT_URL, $calpath."/".$fileuid.".ics");
					$user = $path["user"];
					$pass = $path["pass"];
					$userpass = $user.":".$pass;
					if ($userpass == ":") unset($userpass);
					if (isset($userpass)) {
						curl_setopt($ch, CURLOPT_USERPWD, $userpass);
						curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_ANY);
					}
					if (strpos($calpath, "https://") !== false) {
						curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
					}			
					curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
					$filecontents = curl_exec($ch);
					$rows = explode("\n", $filecontents);
					//echo(implode('<br />', $rows));
					//echo("<br /><br /><br /><br />");
					$v->runparse($rows);
					
					$tmpcounter = 1;
					while ($todo = $v->getComponent('vtodo', $tmpcounter)) { // read events, one by one
						if (trim($todo->getProperty('uid')) == $uid) {
							$vtodo = $v->getComponent('vtodo', $tmpcounter);
							$filefound = true;
							$v->deleteComponent('vtodo', $tmpcounter);
						}
						$tmpcounter++;
					}				
					break;
				}
			}
			if (!$filefound) {
				echo("new file<br />");
				$vtodo = new vtodo();
			}
			
			converttoical($vtodo, $uid);

			$v->setComponent($vtodo, $uid);

			$output = str_replace("\\n", "", $v->createCalendar());
			//$rows = explode("\n", $output);
			//echo(implode('<br />', $rows));

			$outputfile = $path['path']."/".$uid.".ics";
			
			//echo($outputfile);
			
			$wdc->put($outputfile, $output);
			
			$wdc->close();
			
			$worked = true;
			echo("<center>Task Saved<br />This window will close automatically</center>");
		}
		if ($_POST["save"] == "Delete") {
			$filefound = false;
			foreach($dir as $e) {
				$fileuid = substr($e['href'], strlen($path["path"])+1);
				$fileuid = str_replace(".ics", "", $fileuid);
				if ($fileuid == $uid) {
					$wdc->delete($e['href']);
					$worked = true;
					echo("<center>Task Deleted<br />You can now close this window</center>");
				}
			}
		}
} else {
	if (file_exists($calpath)) {
		$handle = fopen($calpath, "r");
		$filecontents = fread($handle, filesize($calpath));
		$rows = explode("\n", $filecontents);
		$v->runparse($rows);
		
		if ($_POST["save"] == "Save") {
			$filefound = false;
			$tmpcounter = 1;
			while ($todo = $v->getComponent('vtodo', $tmpcounter)) { // read events, one by one
				if (trim($todo->getProperty('uid')) == $uid) {
					$vtodo = $v->getComponent('vtodo', $tmpcounter);
					$v->deleteComponent('vtodo', $tmpcounter);
					$filefound = true;
				}
				$tmpcounter++;
			}
			If (!$filefound) {
				$vtodo = new vtodo();
			}
	
			converttoical($vtodo, $uid);
			// save file
			
			$v->setComponent($vtodo,$uid);

			$output = $v->createCalendar();
			$outputfile = $calpath;
			
			$fh = fopen($outputfile, 'w') or die("can't open file");
			fwrite($fh, $output);
			fclose($fh);

			$worked = true;
			echo("<center>Task Saved<br />This window will close automatically</center>");
		}
		if ($_POST["save"] == "Delete") {
			while ($todo = $v->getComponent('vtodo', $tmpcounter)) { // read events, one by one
				if (trim($todo->getProperty('uid')) == $uid) {
					$v->deleteComponent('vtodo', $tmpcounter);
					$worked = true;
					echo("<center>Task Deleted<br />This window will close automatically</center>");
				}
			}
		}
	}
}

function converttoical(&$vtodo, $uid) {
	global $mapping;

	if (isset($_POST['completed']) && $_POST['completed'] == 'on') {
		if ($_POST['completeddate'] != '' && strtotime($_POST['completeddate']) !== false) {
			$vtodo->deleteProperty('STATUS');
			$vtodo->deleteProperty('COMPLETED');
			$vtodo->setProperty('STATUS', 'COMPLETED');
			$vtodo->setProperty('COMPLETED', $_POST['completeddate']);
		} else {
			$vtodo->deleteProperty('STATUS');
			$vtodo->deleteProperty('COMPLETED');
			$vtodo->setProperty('STATUS', 'COMPLETED');
			$vtodo->setProperty('COMPLETED', date('Y-m-d H:i:s'));
		}
	} else {
			$vtodo->deleteProperty('STATUS');
			$vtodo->deleteProperty('COMPLETED');
	}
	
	if (($timestamp = strtotime($_POST["due_d"]." ".$_POST["due_t"])) !== false) {
		$timestamp = getdate($timestamp);
		$tmpdate["year"] = $timestamp["year"];
		$tmpdate["month"] = $timestamp["mon"];
		$tmpdate["day"] = $timestamp["mday"];
		$tmpdate["hour"] = $timestamp["hours"];
		$tmpdate["min"] = $timestamp["minutes"];
		$tmpdate["sec"] = $timestamp["seconds"];
		$vtodo->setProperty( "DUE", $tmpdate);
	}
		
	foreach ($mapping as $ical => $post) {
		switch ($post[1]) {
			case 0:
				if (isset($_POST[$post[0]]) && $_POST[$post[0]] != "") {
					$vtodo->deleteProperty($ical);
					$vtodo->setProperty($ical,$_POST[$post[0]]);
				}		
			break;
		}
	}
}
if ($worked) {
?>
<script type="text/javascript">
	setTimeout('window.close();', 3000);
</script>
<?
}
?>
</body>
</html>