<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
		"http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
	<meta http-equiv="content-type" content="text/html;charset={CHARSET}">
	<title>{CAL}</title>
	<link rel="stylesheet" type="text/css" href="../templates/{TEMPLATE}/default.css">
	<script language="javascript" type="text/javascript">
	function runAllDayTick() {
		if (document.getElementById('allday').checked) {
			document.getElementById('start_t').style.display = 'none';
			document.getElementById('end_t').style.display = 'none';
		} else {
			document.getElementById('start_t').style.display = '';
			document.getElementById('end_t').style.display = '';
		}
	}
	
	function hideshowrecurring(val) {
		document.getElementById('recurring').style.display = 'none';
		document.getElementById('Daily').style.display = 'none';
		document.getElementById('Weekly').style.display = 'none';
		document.getElementById('Monthly').style.display = 'none';
		document.getElementById('Yearly').style.display = 'none';
		
		if (val != "0") {
			document.getElementById('recurring').style.display = '';
			if (val != "3") {
				if (val == "1") document.getElementById('Daily').style.display = '';
				if (val == "2") document.getElementById('Weekly').style.display = '';
				if (val == "5") document.getElementById('Monthly').style.display = '';
				if (val == "6") document.getElementById('Yearly').style.display = '';
			}
		}
	}
	
	</script>
</head>
<body>
<center>
	<table border="0" width="430" cellspacing="0" cellpadding="0" class="calborder">
		<tr>
			<td align="center" class="sideback"><div style="height: 17px; margin-top: 3px;" class="G10BOLD">{CAL_TITLE_FULL}</div></td>
		</tr>
		<tr>
			<td align="left" class="V12">
				<div style="margin-left: 10px; margin-bottom:10px;">
				<form method="post" action="editevent.php">
					<table>
					<tr><td><b>{L_SUMMARY}</b></td><td><input type="text" name="text" id="text" value="{EVENT_TEXT}" size="25" /></td></tr>
					<tr><td><b>{L_EVENT_START}</b></td><td>
					<input type="text" name="start_d" id="start_d" value="{EVENT_START_D}" size="8" />
					<input type="text" name="start_t" id="start_t" value="{EVENT_START_T}" size="5" />
					<input type="checkbox" name="allday" id="allday" onChange="runAllDayTick();" /> {L_ALL_DAY}
					</td></tr>
					<tr><td><b>{L_EVENT_END}</b></td><td>
					<input type="text" name="end_d" id="end_d" value="{EVENT_END_D}" size="8" />
					<input type="text" name="end_t" id="end_t" value="{EVENT_END_T}" size="5" />
					</td></tr>
					
					<tr><td><b>{L_LOCATION}</b></td><td>
					<input type="text" name="location" id="location" value="{LOCATION}" size="25" />
					</td></tr>
					<tr><td><b>Timezone</b></td><td>
					{EVENT_TIMEZONE}
					</td></tr>
					
					<tr><td><b>{L_DESCRIPTION}</b></td><td>
					<textarea name="description" id="description" rows="2" cols="25" style="overflow:hidden;">{DESCRIPTION}</textarea>
					</td></tr>
					
					<tr><td><b>{L_RECURRING_EVENT}</b>:</td><td>
					{RECURRING_EVENT}
					</td></tr>
					
					<tr><td><b>{L_CATEGORIES}</b>:</td><td>
					<input type="text" name="categories" id="categories" value="{CATEGORIES}" size="25" />
					</td></tr>
					
					<!-- switch attendee on -->
					<tr><td><b>{L_ORGANIZER}</b></td><td>
					{ORGANIZER}
					</td></tr>
					<tr><td style="vertical-align:top;"><b>{L_ATTENDEE}</b></td><td>
					{ATTENDEE}
					</td></tr>
					<!-- switch attendee off -->
					
					<!-- switch status on -->
					<tr><td><b>{L_STATUS}</b></td><td>
					{STATUS}
					</td></tr>
					<!-- switch status off -->
									
					<!-- switch status on -->
					<tr><td><b>{L_BUSYSTATUS}</b></td><td>
					{BUSYSTATUS}
					</td></tr>
					<!-- switch status off -->

					<tr><td><b>{L_CALENDAR}</b></td><td>
					{CALENDAR}
					</td></tr>
					
					<tr><td>
					<input type="submit" name="save" id="save" value="Save" />
					<input type="submit" name="save" id="save" value="Delete" />
					<input type="hidden" name="uid" id="uid" value="{EVENT_UID}"/><br />
					</td></tr>
					</table>
					</form>

					<!-- switch event download on -->
					{EVENT_DOWNLOAD}<br />
					<!-- switch event download off -->

					{ALL_DAY_JS}
				</div>
			</td>
		</tr>
	</table>
</center>
</body>
</html>

