<html>
<head>
</head>
<body>
<?
$current_view = "editevent";
define('BASE', '../');
require_once(BASE.'functions/init.inc.php');
//header("Content-Type: text/html; charset=$phpiCal_config->charset");
require_once(BASE.'functions/ical_parser_reverse.php');
require_once(BASE.'functions/webdav_functions.php');
require_once(BASE.'functions/calendar_functions.php');

$worked = false;
$v = new vcalendar();

$mapping = array(
	"class" => array("sensitivity", 1),
	"description" => array("description", 0),
	"location" => array("location", 0),
	"organizer" => array("organizername", 1),
	"organizer" => array("organizeremail", 1),
	"dtstamp" => array("dtstamp", 1),
	"status" => array("meetingstatus", 0),
	"summary" => array("text", 0),
	"transp" => array("busystatus", 0),
	"uid" => array("uid", 0),
	"attendee" => array("attendees", 1),
	"categories" => array("categories", 0),
	"exdate" => array("exceptionss", 1),
	"valarm" => array("reminder", 1)
);

$calpath = trim($_POST["calurl"]);
$uid = trim($_POST["uid"]);

//echo("<div>Working on $calpath $uid");

if (strpos($calpath, "http://") !== false || strpos($calpath, "https://") !== false) {
		$path = parse_url($calpath);
		if (substr($path["path"], strlen($path["path"])-1) == "/") $path["path"] = substr($path["path"], 0, strlen($path["path"])-1);
		$wdc = new webdav_client();
		$wdc->set_server($path["host"]);
		$wdc->set_port(80);
		$wdc->set_user($path["user"]);
		$wdc->set_pass($path["pass"]);

		// use HTTP/1.1
		$wdc->set_protocol(1);
		// enable debugging
		$wdc->set_debug(true);
		
		if (!$wdc->open()) {
			echo("No Connection");
		}
		// check if server supports webdav rfc 2518
		if (!$wdc->check_webdav($path["path"])) {
			echo("No CalDav");
		}	

		$dir = $wdc->ls($path["path"]);
        if(!$dir) {
			echo("No Dir");
		}

		if ($_POST["save"] == "Save") {
			$filefound = false;
			foreach($dir as $e) {
				$fileuid = substr($e['href'], strlen($path["path"])+1);
				$fileuid = str_replace(".ics", "", $fileuid);
				if ($fileuid == $uid) {
					$ch = curl_init();
					curl_setopt($ch, CURLOPT_URL, $path["path"]."/".$fileuid.".ics");
					$user = $path["user"];
					$pass = $path["pass"];
					$userpass = $user.":".$pass;
					if ($userpass == ":") unset($userpass);
					if (isset($userpass)) {
						curl_setopt($ch, CURLOPT_USERPWD, $userpass);
						curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_ANY);
					}
					if (strpos($calpath, "https://") !== false) {
						curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
					}			
					curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
					$filecontents = curl_exec($ch);
					$rows = explode("\n", $filecontents);
					$v->runparse($rows);
					
					$tmpcounter = 1;
					while ($event = $v->getComponent('vevent', $tmpcounter)) { // read events, one by one
						if (trim($event->getProperty('uid')) == $uid) {
							$vevent = $v->getComponent('vevent', $tmpcounter);
							$filefound = true;
							$v->deleteComponent('vevent', $tmpcounter);
						}
						$tmpcounter++;
					}				
					break;
				}
			}
			if (!$filefound) {
				$vevent = new vevent();
			}
			
			converttoical($vevent, $uid);

			$v->setComponent($vevent, $uid);

			$output = str_replace("\\n", "", $v->createCalendar());
			$outputfile = $path['path']."/".$uid.".ics";
			
			$wdc->put($outputfile, $output);
			
			$wdc->close();
			
			$worked = true;
			echo("<center>Event Saved<br />This window will close automatically</center>");
		}
		if ($_POST["save"] == "Delete") {
			$filefound = false;
			foreach($dir as $e) {
				$fileuid = substr($e['href'], strlen($path["path"])+1);
				$fileuid = str_replace(".ics", "", $fileuid);
				if ($fileuid == $uid) {
					$wdc->delete($e['href']);
					$worked = true;
					echo("<center>Event Deleted<br />You can now close this window</center>");
				}
			}
		}
} else {
	if (file_exists($calpath)) {
		$handle = fopen($calpath, "r");
		$filecontents = fread($handle, filesize($calpath));
		$rows = explode("\n", $filecontents);
		$v->runparse($rows);
		
		if ($_POST["save"] == "Save") {
			$filefound = false;
			$tmpcounter = 1;
			while ($event = $v->getComponent('vevent', $tmpcounter)) { // read events, one by one
				if (trim($event->getProperty('uid')) == $uid) {
					$vevent = $v->getComponent('vevent', $tmpcounter);
					$v->deleteComponent('vevent', $tmpcounter);
					$filefound = true;
				}
				$tmpcounter++;
			}
			If (!$filefound) {
				$vevent = new vevent();
			}
	
			converttoical($vevent, $uid);
			// save file
			
			$v->setComponent($vevent,$uid);

			$output = $v->createCalendar();
			$outputfile = $calpath;
			
			$fh = fopen($outputfile, 'w') or die("can't open file");
			fwrite($fh, $output);
			fclose($fh);

			$worked = true;
			echo("<center>Event Saved<br />This window will close automatically</center>");
		}
		if ($_POST["save"] == "Delete") {
			while ($event = $v->getComponent('vevent', $tmpcounter)) { // read events, one by one
				if (trim($event->getProperty('uid')) == $uid) {
					$v->deleteComponent('vevent', $tmpcounter);
					$worked = true;
					echo("<center>Event Deleted<br />This window will close automatically</center>");
				}
			}
		}
	}
}

function converttoical(&$vevent, $uid) {
	global $mapping;

	$tmpdate = array();
	if ( !isset($_POST['allday'])) $_POST['allday'] = "";
	if ($_POST['allday'] == "on") {
		if (($timestamp = strtotime($_POST["start_d"])) !== false && ($timestamp2 = strtotime($_POST["end_d"])) !== false) {
			if ($_POST["recstart"] != "" && $_POST["recend"] != "") {
				if (is_numeric($_POST["recstart"]) && is_numeric($_POST["recend"])) {
					$timestamp = $_POST["recstart"];
					$timestamp2 = $_POST["recend"];
				}
			}
			$dt = date('Ymd', $timestamp);
			if ($timestamp == $timestamp2) {
				$timestamp2 += 60*60*24;
				$dt2 = date('Ymd', $timestamp2);
			}
			$vevent->setProperty( 'dtstart', $dt, array('VALUE' => 'DATE'));
			$vevent->setProperty( 'dtend', $dt2, array('VALUE' => 'DATE'));
		}
	} else {
		if (($timestamp = strtotime($_POST["start_d"]." ".$_POST["start_t"])) !== false) {
			if ($_POST["recstart"] != "") {
				if (is_numeric($_POST["recstart"])) {
					$timestamp = $_POST["recstart"];
				}
			}
			$timestamp = getdate($timestamp);
			$tmpdate["year"] = $timestamp["year"];
			$tmpdate["month"] = $timestamp["mon"];
			$tmpdate["day"] = $timestamp["mday"];
			$tmpdate["hour"] = $timestamp["hours"];
			$tmpdate["min"] = $timestamp["minutes"];
			$tmpdate["sec"] = $timestamp["seconds"];
			if (isset($_POST["timezone"])) {
				$tmpdate["tz"] = $_POST["timezone"];
			}
			$vevent->setProperty( "dtstart", $tmpdate);
		}
		if (($timestamp = strtotime($_POST["end_d"]." ".$_POST["end_t"])) !== false) {
			if ($_POST["recend"] != "") {
				if (is_numeric($_POST["recend"])) {
					$timestamp = $_POST["recend"];
				}
			}
			$timestamp = getdate($timestamp);
			$tmpdate["year"] = $timestamp["year"];
			$tmpdate["month"] = $timestamp["mon"];
			$tmpdate["day"] = $timestamp["mday"];
			$tmpdate["hour"] = $timestamp["hours"];
			$tmpdate["min"] = $timestamp["minutes"];
			$tmpdate["sec"] = $timestamp["seconds"];
			if (isset($_POST["timezone"])) {
				$tmpdate["tz"] = $_POST["timezone"];
			}
			$vevent->setProperty( "dtend", $tmpdate);
		}
	}

	$recurring = $_POST["recurringtype"];
	if ($recurring != "0") {
		$rrule = array();
		if ($recurring == "1") {
			// daily
			$rrule["FREQ"] = "DAILY";
			if (isset($_POST["dailyinterval"]) && is_numeric($_POST["dailyinterval"])) {
				$rrule["INTERVAL"] = $_POST["dailyinterval"];
			}
		}
		if ($recurring == "2") {
			// Weekly
			$rrule["FREQ"] = "WEEKLY";
			if (isset($_POST["weeklyinterval"]) && is_numeric($_POST["weeklyinterval"])) {
				$rrule["INTERVAL"] = $_POST["weeklyinterval"];
			}
			$bydayarray = array();
			if ($_POST["weekdaysm"] == "MO") array_push($bydayarray, array("DAY" => $_POST["weekdaysm"]));
			if ($_POST["weekdaystu"] == "TU") array_push($bydayarray, array("DAY" => $_POST["weekdaystu"]));
			if ($_POST["weekdaysw"] == "WE") array_push($bydayarray, array("DAY" => $_POST["weekdaysw"]));
			if ($_POST["weekdayst"] == "TH") array_push($bydayarray, array("DAY" => $_POST["weekdayst"]));
			if ($_POST["weekdaysf"] == "FR") array_push($bydayarray, array("DAY" => $_POST["weekdaysf"]));
			if ($_POST["weekdayssa"] == "SA") array_push($bydayarray, array("DAY" => $_POST["weekdayssa"]));
			if ($_POST["weekdayss"] == "SU") array_push($bydayarray, array("DAY" => $_POST["weekdayss"]));
			$rrule["BYDAY"] = $bydayarray;
			$rrule["WKST"] = "MO";
		}
		if ($recurring == "5") {
			// monthly
			$rrule["FREQ"] = "MONTHLY";
			if (isset($_POST["monthlyinterval"]) && is_numeric($_POST["monthlyinterval"])) {
				$rrule["INTERVAL"] = $_POST["monthlyinterval"];
			}
			if (isset($_POST["monthlytype"])) {
				if ($_POST["monthlytype"] == "byweek") {
					if (isset($_POST["monthlyweeknum"]) && is_numeric($_POST["monthlyweeknum"])) {
						$rrule["BYDAY"] = array( $_POST["monthlyweeknum"], array("DAY" => $_POST["monthlydayname"]));
						$rrule["WKST"] = "MO";
					}
				}
				if ($_POST["monthlytype"] == "byday") {
					if (isset($_POST["monthlyday"]) && is_numeric($_POST["monthlyday"])) {
						$rrule["BYMONTHDAY"] = $_POST["monthlyday"];
					}
				}
			}
		}
		if ($recurring == "6") {
			// yearly
			$rrule["FREQ"] = "YEARLY";
			if (isset($_POST["yearlyinterval"]) && is_numeric($_POST["yearlyinterval"])) {
				$rrule["INTERVAL"] = $_POST["yearlyinterval"];
			}
		}
		if ($_POST["untilcount"] == "count" && is_numeric($_POST["count"])) {
			$rrule["COUNT"] = $_POST["count"];
		}
		if ($_POST["untilcount"] == "until") {
			$tmpdate = strtotime($_POST["until"]);
			if ($tmpdate !== false) {
				$tmpdate = date('Ymd\THis\Z', $tmpdate);
				$rrule["UNTIL"] = $tmpdate;
			}
			unset($tmpdate);
		}

		while ($vevent->deleteProperty("RRULE"))
			continue;
		$vevent->setProperty("RRULE", $rrule);
	}
	
	foreach ($mapping as $ical => $post) {
		switch ($post[1]) {
			case 0:
				if (isset($_POST[$post[0]])) {
					$vevent->deleteProperty($ical);
					$vevent->setProperty($ical,$_POST[$post[0]]);
				}		
			break;
		}
	}
}
if ($worked) {
?>
<script type="text/javascript">
	setTimeout('window.close();', 3000);
</script>
<?
}
?>
</body>
</html>