<?php 

define('BASE', '../');
include_once(BASE.'functions/init.inc.php');
include_once(BASE.'functions/date_functions.php');
require_once(BASE.'functions/template.php');
$current_view = 'todo';
//$calurl	= getCalendarPath(availableCalendars($username, $password, $phpiCal_config->ALL_CALENDARS_COMBINED), $vtodo_array['cal']);

$cals = availableCalendars($username, $password, $phpiCal_config->ALL_CALENDARS_COMBINED);
$calnames = unserialize(stripslashes($_POST['calnames']));
$selectcals = "<select name=\"calurl\" id=\"calurl\">";
for ($c=0;$c<count($cals);$c++){
	$selectcals .= "<option value=\"".$cals[$c]."\">".$calnames[$cals[$c]]."</option>";
}
$selectcals .= "</select>";

$date   = date('Ymd\THisT');
$unique = substr(microtime(), 2, 4);
$base   = 'aAbBcCdDeEfFgGhHiIjJkKlLmMnNoOpPrRsStTuUvVxXuUvVwWzZ1234567890';
$start  = 0;
$end    = strlen( $base ) - 1;
$length = 6;
$str    = null;
for( $p = 0; $p < $length; $p++ )
	$unique .= $base{mt_rand( $start, $end )};
$uid = $date.'-'.$unique;
// Set the variables from the array

$status = '<input type="checkbox" name="completed" /> Currently ' . $lang['l_unfinished'];

$priority = "<select name=\"priority\" id=\"priority\">";
if (!($priority >= 1 && $priority <= 9))  $seled = "selected=\"selected\""; else $seled = "";
$priority .= "<option value=\"\" $seled></option>";
if ($priority >= 1 && $priority <= 4) $seled = "selected=\"selected\""; else $seled = "";
$priority .= "<option value=\"1\" $seled>".$lang['l_priority_high']."</option>";
if ($priority == 5)  $seled = "selected=\"selected\""; else $seled = "";
$priority .= "<option value=\"5\" $seled>".$lang['l_priority_medium']."</option>";
if ($priority >= 6 && $priority <= 9)  $seled = "selected=\"selected\""; else $seled = "";
$priority .= "<option value=\"9\" $seled>".$lang['l_priority_low']."</option>";
$priority .= "</select>";

$page = new Page(BASE.'templates/'.$template.'/todo.tpl');

$page->replace_tags(array(
	'charset'			=> $phpiCal_config->charset,
	'cal' 				=> '',
	'event_uid'			=> $uid,
	'calendar'			=> $selectcals,
	'vtodo_text' 		=> '',
	'description' 		=> '',
	'priority'	 		=> $priority,
	'start_date' 		=> '',
	'status'	 		=> $status,
	'due_date' 			=> '',
	'due_time' 			=> '',
	'cal_title_full'	=> 'New Task',
	'template'			=> $phpiCal_config->template,
	'todo_download'		=> "",
	'l_created'			=> $lang['l_created'],
	'l_priority'		=> $lang['l_priority'],
	'l_status'			=> $lang['l_status'],
	'l_summary'			=> $lang['l_summary'],
	'l_due'				=> $lang['l_due'],
	'l_calendar' 		=> $lang['l_calendar']
		
	));

$page->output();

?>