<?php 

define('BASE', '../');
include_once(BASE.'functions/init.inc.php');
include_once(BASE.'functions/date_functions.php');
require_once(BASE.'functions/template.php');

$uid = stripslashes($_POST['uid']);
if (isset($_POST['submit'])){
	$uid = $_POST['uid'];
	header("Content-Type: text/calendar; charset=utf-8; name=$uid");
	header("Content-Disposition: attachment; filename=$uid");
	echo(getfile($_POST["calpath"], $uid));
	exit;
}

$current_view = 'todo';
$vtodo_array = unserialize(urldecode(base64_decode($_REQUEST['todo_data'])));
$calurl	= getCalendarPath(availableCalendars($username, $password, $phpiCal_config->ALL_CALENDARS_COMBINED), $vtodo_array['cal']);

$cals = availableCalendars($username, $password, $phpiCal_config->ALL_CALENDARS_COMBINED);
$calnames = unserialize(stripslashes($_POST['calnames']));
$selectcals = "<select name=\"calurl\" id=\"calurl\">";
for ($c=0;$c<count($cals);$c++){
	if ($cals[$c] == $calurl) $seled = "selected=\"selected\""; else $seled = "";
	$selectcals .= "<option value=\"".$cals[$c]."\" $seled>".$calnames[$cals[$c]]."</option>";
}
$selectcals .= "</select>";

$todo_download = '';
if($phpiCal_config->event_download == 'yes') $todo_download = "
<form action='' method='post'>
<input type='hidden' name='calpath' value = '".$calurl."' />
<input type='hidden' name='uid' value = '".$_POST['uid']."' />
<input type='submit' name='submit' value='".$lang['l_download']."' />
<form>";


// Set the variables from the array
$vtodo_text		= (isset($vtodo_array['vtodo_text'])) ? $vtodo_array['vtodo_text'] : ('');
$description	= (isset($vtodo_array['description'])) ? $vtodo_array['description'] : ('');
$completed_date	= (isset($vtodo_array['completed_date']) && $vtodo_array['completed_date'] != "") ? date("Y/m/d", strtotime($vtodo_array['completed_date'])) : ('');
$status = (isset($vtodo_array['status'])) ? $vtodo_array['status'] : ('');
$calendar_name  = (isset($vtodo_array['cal'])) ? $vtodo_array['cal'] : ('');
$start_date 	= (isset($vtodo_array['start_date']) && $vtodo_array['start_date'] != '') ? date("Y/m/d", strtotime($vtodo_array['start_date'])) : ('');
$due_date 		= (isset($vtodo_array['due_date']) && $vtodo_array['due_date'] != '') ? date("Y/m/d", strtotime($vtodo_array['due_date'])) : ('');
$due_time 		= (isset($vtodo_array['due_date']) && $vtodo_array['due_date'] != '') ? date("H:i",strtotime($vtodo_array['due_date'])) : ('');

$cal_title_full = $calendar_name.' '.$lang['l_calendar'];
$description	= ereg_replace("[[:alpha:]]+://[^<>[:space:]]+[[:alnum:]/]", '<a target="_new" href="\0">\0</a>', $description);
$vtodo_text		= ereg_replace("[[:alpha:]]+://[^<>[:space:]]+[[:alnum:]/]",'<a target="_new" href="\0">\0</a>',$vtodo_text);


if ((!isset($status) || $status == "COMPLETED") && isset($completed_date) && $completed_date != '') {
	$status = '<input type="checkbox" name="completed" checked="checked" /> Currently ' . $lang['l_completed_date'] . ' ' . $completed_date;
	$status .= '<input type="hidden" id="completeddate" name="completeddate" value="'.$completed_date.'" />';
} elseif ($status == "COMPLETED") {
	$status = '<input type="checkbox" name="completed" checked="checked" /> Currently ' . $lang['l_completed'];
	$status .= '<input type="hidden" id="completeddate" name="completeddate" value="" />';
} else {
	$status = '<input type="checkbox" name="completed" /> Currently ' . $lang['l_unfinished'];
}

$priority = "<select name=\"priority\" id=\"priority\">";
if ($priority >= 1 && $priority <= 4) $seled = "selected=\"selected\""; else $seled = "";
$priority .= "<option value=\"1\" $seled>".$lang['l_priority_high']."</option>";
if ($priority == 5)  $seled = "selected=\"selected\""; else $seled = "";
$priority .= "<option value=\"5\" $seled>".$lang['l_priority_medium']."</option>";
if ($priority >= 6 && $priority <= 9)  $seled = "selected=\"selected\""; else $seled = "";
$priority .= "<option value=\"9\" $seled>".$lang['l_priority_low']."</option>";
if (!($priority >= 1 && $priority <= 9))  $seled = "selected=\"selected\""; else $seled = "";
$priority .= "<option value=\"\" $seled>".$lang['l_priority_high']."</option>";
$priority .= "</select>";

$page = new Page(BASE.'templates/'.$template.'/todo.tpl');

$page->replace_tags(array(
	'charset'			=> $phpiCal_config->charset,
	'cal' 				=> $cal_title_full,
	'event_uid'			=> $uid,
	'calendar'			=> $selectcals,
	'vtodo_text' 		=> $vtodo_text,
	'description' 		=> $description,
	'priority'	 		=> $priority,
	'start_date' 		=> $start_date,
	'status'	 		=> $status,
	'due_date' 			=> $due_date,
	'due_time' 			=> $due_time,
	'cal_title_full'	=> $cal_title_full,
	'template'			=> $phpiCal_config->template,
	'todo_download'		=> $todo_download,
	'l_created'			=> $lang['l_created'],
	'l_priority'		=> $lang['l_priority'],
	'l_status'			=> $lang['l_status'],
	'l_summary'			=> $lang['l_summary'],
	'l_due'				=> $lang['l_due'],
	'l_description'		=> $lang['l_description'],
	'l_calendar' 		=> $lang['l_calendar']
		
	));

$page->output();

function getfile($calpath, $uid) {
	$filecontents = "";
	if (strpos($calpath, "http://") !== false || strpos($calpath, "https://") !== false) {
		$path = parse_url($calpath);
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $calpath."/".$uid.".ics");
		$user = $path["user"];
		$pass = $path["pass"];
		$userpass = $user.":".$pass;
		if ($userpass == ":") unset($userpass);
		if (isset($userpass)) {
			curl_setopt($ch, CURLOPT_USERPWD, $userpass);
			curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_ANY);
		}
		if (strpos($calpath, "https://") !== false) {
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		}			
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		$filecontents = curl_exec($ch);
	} else {
		if (file_exists($calpath)) {
			$handle = fopen($calpath, "r");
			$filecontents = fread($handle, filesize($calpath));
		}
	}
	return $filecontents;
}
?>